# Module `menubar.utils`

### Info:

- Author: Antonio Terceiro
- Copyright: 2009, 2011-2012 Antonio Terceiro, Alexander Yakushev
- Release: v3.5.1

## Functions

lookup_icon (icon_file) | Lookup an icon in different folders of the filesystem.
parse (file) | Parse a .desktop file.
parse_dir (dir, icons_size) | Parse a directory with .desktop files

## Functions

lookup_icon (icon_file)
  Lookup an icon in different folders of the filesystem.

  ### Parameters:

  - icon_file Short or full name of the icon.

  ### Returns:

  full name of the icon.
parse (file)
  Parse a .desktop file.

  ### Parameters:

  - file The .desktop file.

  ### Returns:

  A table with file entries.
parse_dir (dir, icons_size)
  Parse a directory with .desktop files

  ### Parameters:

  - dir The directory.
  - icons_size , The icons sizes, optional.

  ### Returns:

  A table with all .desktop entries.

generated by LDoc 1.3